# RAIDAlert

.NET Windows Service monitoring HP SmartArray Disk Health

## About

This .NET worker service for Windows periodically queries the HP SmartArray Controller for the physical disk status and sends screeching alert noises to the PC speaker/beeper if any doesn't report as "OK".  

## Prerequisites

- A compatible HP SmartArray Controller like the P410 in my case
- A server with a system (mainboard) speaker/beeper to get the acoustic alert
  - In case of the HP ProLiant MicroServer at least Gen8 or higher (G7 and below has no speaker)  
- .NET 7 Runtime installed

## 3rd party credits

- [HP Smart Storage Administrator (HP SSA) CLI for Windows 64-bit](https://support.hpe.com/connect/s/softwaredetails?language=en_US&softwareId=MTX_05d4c11e7ed3433e85c89ea604)
- [pc-beeper](https://github.com/cocafe/pc-beeper)
- [CliWrap](https://github.com/Tyrrrz/CliWrap)
